%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/h2non/filetype
Version:                1.1.3

%gometa

%global common_description %{expand:
Fast, dependency-free Go package to infer binary file types based on the magic
numbers header signature.}

%global golicenses      LICENSE
%global godocs          History.md README.md fixtures/sources.txt

Name:           %{goname}
Release:    1%{?dist}
Summary:        Fast, dependency-free Go package to infer binary file types based on the magic numbers header signature

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Aug 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
